org.apache.commons.ssl

## Class HostPort

- java.lang.Object
- - org.apache.commons.ssl.HostPort

    public class HostPort
    extends java.lang.Object

Since:
  14-July-2006
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Field Summary

Fields
`java.net.InetAddress` `addr`
`java.lang.String` `host`
`int` `port`

### Constructor Summary

Constructors
Constructor and Description
`HostPort(java.lang.String host, int port)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### host

    public final java.lang.String host

#### port

    public final int port

#### addr

    public final java.net.InetAddress addr

### Constructor Detail

#### HostPort

    public HostPort(java.lang.String host,
            int port)
             throws java.net.UnknownHostException

Throws:
  `java.net.UnknownHostException`

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`